
Packaging - Tasks #1052
rsbag-tools-cl-0.7 for Ubuntu Precise
07/01/2012 07:19 PM - J. Moringen

Status: Closed Start date: 07/01/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Related issues:
Related to RSBag - Bug # 1066: Wrong Debian installation instructions in the ... Resolved 07/10/2012
Blocks Robotics Service Bus - Tasks # 926: Release version 0.7 Resolved

History
#1 - 07/01/2012 07:20 PM - J. Moringen
- % Done changed from 0 to 50

Initial SBCL setup is available on precise {32,64} bit slaves.

#2 - 07/10/2012 01:23 PM - Anonymous
scp'ing the packages to corpack with different distributions coded in the debian package names works fine to distribute it for several ubuntu versions.
Eg. as
    -  rsb-tools-cl0.7-0.7.0_lucid_i686.deb
    -  rsb-tools-cl0.7-0.7.0_oneric_i686.deb
    -  rsb-tools-cl0.7-0.7.0_precise_i686.deb
    -  ...

This could be a first solutions, that we can easily apply in the pkg job https://ci.cor-lab.org/view/RSB/job/rsb-tools-cl-trunk/

Future setup on corpack will be that target distribution is determined by the upload folder anyway, which makes it even easier.

#3 - 07/10/2012 01:45 PM - J. Moringen

I'm nevertheless preparing the precise slaves for building the rsbag stuff. May uncover some problems or something.

#4 - 07/13/2012 11:34 AM - J. Moringen
- Status changed from In Progress to Closed
- % Done changed from 50 to 100
